commit e23bd900b7c5f3262c3b6c5fb20d7569ca5193db
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 1 23:49:58 2024 +0200

    poppler 24.09.0

 CMakeLists.txt   | 4 ++--
 NEWS             | 8 ++++++++
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 5 files changed, 13 insertions(+), 5 deletions(-)

commit 095789955b23bf271cc5ecb3a654c9c2df297100
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Aug 28 19:32:56 2024 +0200

    Update (C)

 poppler/CairoFontEngine.cc | 1 +
 poppler/CairoOutputDev.cc  | 1 +
 poppler/Error.cc           | 1 +
 poppler/Form.cc            | 1 +
 poppler/GfxFont.cc         | 1 +
 poppler/PDFDoc.cc          | 1 +
 poppler/XRef.cc            | 1 +
 test/perf-test.cc          | 1 +
 8 files changed, 8 insertions(+)

commit fd057184e6f85ca920df5285fabb30ec5b634ea2
Author: Vincent Lefevre <vincent@vinc17.net>
Date:   Wed Aug 28 11:41:17 2024 +0200

    Remove incorrect \n and \r characters at the end of error() strings

    Some error() message strings end with \n, and \r\n for one of them.
    This is incorrect according to the error() code (in poppler/Error.cc),
    where control characters are changed to a printable form; a \n is
    added automatically by this function.

    This affects at least pdfinfo and pdftotext (and the xpdf PDF viewer),
    which output error messages like

    Syntax Error: Can't get Fields array<0a>

    with a spurious <0a> at the end.

    This patch removes these \n and \r; it has been obtained with

      perl -pi -e 's/(error\(.*?)(\\[nr])+/\1/' $(git grep -l
      'error(.*\\n')

    Signed-off-by: Vincent Lefevre <vincent@vinc17.net>

 poppler/CairoFontEngine.cc |  8 ++++----
 poppler/CairoOutputDev.cc  |  6 +++---
 poppler/Form.cc            | 32 ++++++++++++++++----------------
 poppler/GfxFont.cc         |  2 +-
 poppler/PDFDoc.cc          |  2 +-
 poppler/XRef.cc            | 12 ++++++------
 test/perf-test.cc          |  2 +-
 7 files changed, 32 insertions(+), 32 deletions(-)

commit 0ae1c079864b332de5f6050172ded2e8a1ac1071
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Aug 28 09:00:21 2024 +0200

    Update (C)

 poppler/Catalog.h          | 1 +
 poppler/SplashOutputDev.cc | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit b8bb2e46ff289c25f097c2f6baeb21642749f761
Author: Hubert Figuière <hub@figuiere.net>
Date:   Sun May 26 08:57:18 2024 -0400

    poppler/Catalog: map page by Ref to make findPage() faster (#1485)

    findPage used to iterate linearly to find a page by Ref, instead
    we use a map.

    See https://gitlab.freedesktop.org/poppler/poppler/-/issues/1485

    Signed-off-by: Hubert Figuière <hub@figuiere.net>

 poppler/Catalog.cc | 232
 +++++++++++++++++++++++++++++++----------------------
 poppler/Catalog.h  |   5 ++
 2 files changed, 142 insertions(+), 95 deletions(-)

commit 5a25ac7692d76f3c3e5e5850a062209f3482d85c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 16 00:19:14 2024 +0200

    Add support for Catalog OpenAction

 poppler/Catalog.cc | 18 ++++++++++++++++++
 poppler/Catalog.h  |  4 +++-
 poppler/JSInfo.cc  |  3 ++-
 3 files changed, 23 insertions(+), 2 deletions(-)

commit f8bcc96311c5fac72dbeda48fcf9f53b36e51d8c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 22 09:22:26 2024 +0200

    Fix crash when softMask fails to allocate

 poppler/SplashOutputDev.cc | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit ff18a6f3d9dc8e881e881f2be271de9df60c294d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 5 00:19:14 2024 +0200

    Update (C)

 poppler/CairoFontEngine.h | 2 +-
 test/cairo-thread-test.cc | 2 +-
 utils/pdftocairo.cc       | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 0a902dce12f1e6b2e135775a4fb4cb6e2dd0c61c
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu Jul 25 21:44:37 2024 +0930

    Fix cairo_font_face_t leak in CairoFontEngine

    Remove the external font cache from CairoFontEngine.  Fixing the leak
    would require keeping track of which document is using each external
    font so fonts can be removed from the cache when the document is
    closed. As fonts are already cached in fontCache, and the external
    font caching did not exist prior to the the CairoFontEngine refactor,
    the marginal benefit of sharing external fonts between documents is
    not worth the effort.

 poppler/CairoFontEngine.cc | 54
 +++++-----------------------------------------
 poppler/CairoFontEngine.h  |  8 +------
 test/cairo-thread-test.cc  |  7 ++++++
 utils/pdftocairo.cc        |  7 ++++++
 4 files changed, 20 insertions(+), 56 deletions(-)

commit b58a49e4e576492219b87ed09ed8e02d565d202c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 2 00:59:03 2024 +0200

    poppler 24.08.0

 CMakeLists.txt         |  4 ++--
 NEWS                   | 16 ++++++++++++++++
 cpp/Doxyfile           |  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 qt6/src/CMakeLists.txt |  2 +-
 qt6/src/Doxyfile       |  2 +-
 7 files changed, 23 insertions(+), 7 deletions(-)

commit cf7b778c261ec96d3adbba0db3f46a5e8135a829
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 2 00:53:42 2024 +0200

    Update (C)

 poppler/Annot.cc           | 1 +
 poppler/Form.cc            | 1 +
 poppler/Form.h             | 1 +
 poppler/GlobalParamsWin.cc | 2 +-
 qt5/src/poppler-form.cc    | 1 +
 qt5/src/poppler-form.h     | 1 +
 qt6/src/poppler-form.cc    | 1 +
 qt6/src/poppler-form.h     | 1 +
 8 files changed, 8 insertions(+), 1 deletion(-)

commit ce0d46ec9c0f10cf704dfd6825942b3f7d549f75
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jul 30 00:51:25 2024 +0200

    qt6: Port test to use non deprecated API

 qt6/tests/poppler-forms.cpp | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 415365ffef95251417e288e01d3d12477fb89c6a
Author: Pratham Gandhi <ppg.1382@gmail.com>
Date:   Tue Jul 16 01:23:58 2024 +0530

    Implemented support for modifying the appearance stream text in form
    field choice

 poppler/Annot.cc        |  2 +-
 poppler/Form.cc         | 23 +++++++++++++++++++++++
 poppler/Form.h          |  6 +++++-
 qt5/src/poppler-form.cc |  8 ++++++++
 qt5/src/poppler-form.h  |  8 ++++++++
 qt6/src/poppler-form.cc |  8 ++++++++
 qt6/src/poppler-form.h  |  8 ++++++++
 7 files changed, 61 insertions(+), 2 deletions(-)

commit a3a3fe14939c72ea304c9f1192a38e1ff26e51e4
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Jul 21 20:34:31 2024 +0930

    Fix buffer overflow in GlobalParamsWin

 poppler/GlobalParamsWin.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a84c6ecd633a4dad6b4bfb275fb339136ec19341
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 15 15:35:26 2024 +0200

    pdftops: Fix crash on files with font without name and using -passfont

 poppler/GfxFont.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6bb720f9ea629f03f07a6f06e57339a3c71e56f2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 8 23:26:47 2024 +0200

    pdfinfo: Don't crash on malformed files

 utils/pdfinfo.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 35b16a51af89f8debb71cc880f6203da2e2db4f8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jul 6 12:21:41 2024 +0200

    Update (C)

 poppler/Catalog.cc | 1 +
 poppler/Catalog.h  | 1 +
 2 files changed, 2 insertions(+)

commit b3edc1d9bc824ae4cf3f0dd58d22671bb9d8b525
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Sat Jul 6 10:20:03 2024 +0000

    Simplify memory handling in Catalog NameTree

 poppler/Catalog.cc        | 70
 +++++++----------------------------------------
 poppler/Catalog.h         | 10 ++-----
 qt6/tests/check_links.cpp |  4 +++
 3 files changed, 16 insertions(+), 68 deletions(-)

commit 01a88235ea7b66db19ef1a3fce9a84d7e9850737
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 1 23:22:39 2024 +0200

    poppler 24.07.0

 CMakeLists.txt         |  4 ++--
 NEWS                   | 19 +++++++++++++++++++
 cpp/Doxyfile           |  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 qt6/src/CMakeLists.txt |  2 +-
 qt6/src/Doxyfile       |  2 +-
 7 files changed, 26 insertions(+), 7 deletions(-)

commit fb8e6cfdab035fcf0e8919f8700ff2c86c627177
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 1 22:29:59 2024 +0200

    Add missing include

 fofi/FoFiTrueType.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a16aa8bc839e5dd4a2c8d75aff010416477b392b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 1 21:22:52 2024 +0200

    Update (C)

 qt5/src/poppler-annotation.cc  | 1 +
 qt5/src/poppler-document.cc    | 1 +
 qt5/src/poppler-link-private.h | 1 +
 qt5/src/poppler-link.cc        | 1 +
 qt5/src/poppler-link.h         | 1 +
 qt5/src/poppler-page.cc        | 1 +
 qt5/src/poppler-qt5.h          | 1 +
 qt6/src/poppler-document.cc    | 1 +
 qt6/src/poppler-link-private.h | 1 +
 qt6/src/poppler-link.cc        | 1 +
 qt6/src/poppler-link.h         | 1 +
 qt6/src/poppler-page.cc        | 1 +
 qt6/src/poppler-qt6.h          | 1 +
 13 files changed, 13 insertions(+)

commit 81b83e83c053420d452a31d0cc6321965cb5e358
Author: Pratham Gandhi <ppg.1382@gmail.com>
Date:   Mon Jul 1 19:19:21 2024 +0000

    Qt: Implement reset forms link

 qt5/src/poppler-annotation.cc  |  4 ++++
 qt5/src/poppler-document.cc    | 19 +++++++++++++++++++
 qt5/src/poppler-link-private.h | 10 ++++++++++
 qt5/src/poppler-link.cc        | 12 ++++++++++++
 qt5/src/poppler-link.h         | 28 ++++++++++++++++++++++++++++
 qt5/src/poppler-page.cc        | 13 ++++++++++---
 qt5/src/poppler-qt5.h          |  7 +++++++
 qt6/src/poppler-document.cc    | 19 +++++++++++++++++++
 qt6/src/poppler-link-private.h | 10 ++++++++++
 qt6/src/poppler-link.cc        | 12 ++++++++++++
 qt6/src/poppler-link.h         | 28 ++++++++++++++++++++++++++++
 qt6/src/poppler-page.cc        | 13 ++++++++++---
 qt6/src/poppler-qt6.h          |  7 +++++++
 13 files changed, 176 insertions(+), 6 deletions(-)

commit 5e4d80275ee7800ec266f58d5178b34654b5bf12
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 27 19:32:18 2024 +0200

    Update (C)

 fofi/FoFiType1.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fe0513a2bd4fe7a0ba9c3caf73573098392d2267
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 26 00:20:16 2024 +0200

    Fix crash in FoFiType1::parse

    When the content to parse ends in "/FontName       "

 fofi/FoFiType1.cc | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit cd59895eb14d98776a416a9aa8d7a3cdc788b278
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 21 00:43:40 2024 +0200

    Update (C)

 poppler/UTF.cc        | 2 +-
 poppler/UTF.h         | 2 +-
 utils/Win32Console.cc | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 935734b8a272ad8f1acdd9df057b8e3616c181c5
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Thu Jun 20 09:00:47 2024 +0000

    glib find text fuzzer: correctly free the matches list

 glib/tests/fuzzing/find_text_fuzzer.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3a9a34a4bee771c547ceaeeab2cd639d825fa5b5
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Jun 15 19:22:25 2024 +0930

    Reorder utf8ToUtf16() args so each length argument follows the string

 poppler/UTF.cc                     | 12 ++----------
 poppler/UTF.h                      | 14 +++++++-------
 qt5/tests/check_utf_conversion.cpp |  2 +-
 qt6/tests/check_utf_conversion.cpp |  2 +-
 utils/Win32Console.cc              |  2 +-
 5 files changed, 12 insertions(+), 20 deletions(-)

commit c629b189898694e3bd27039d834ec4423fbf18e8
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Jun 15 14:04:48 2024 +0930

    Reorder utf16ToUtf8() args so each length argument follows the string

 poppler/UTF.cc                     | 12 ++----------
 poppler/UTF.h                      | 15 ++++++++-------
 qt5/tests/check_utf_conversion.cpp |  2 +-
 qt6/tests/check_utf_conversion.cpp |  2 +-
 4 files changed, 12 insertions(+), 19 deletions(-)

commit 4551469474b665dbd3159b526b3998a9acf08542
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jun 15 12:01:25 2024 +0200

    glib: fuzz: Free memory

 glib/tests/fuzzing/find_text_fuzzer.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit ef439ea30f92bc1cf9dd584e9f7b514e6ec7a240
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 10 11:06:34 2024 +0200

    Make MediaRendition::copy return a unique_ptr

 poppler/Rendition.cc     |  6 +++---
 poppler/Rendition.h      |  4 ++--
 qt5/src/poppler-link.cc  | 24 +++++++++++++-----------
 qt5/src/poppler-link.h   | 17 +++++++++++++++--
 qt5/src/poppler-media.cc | 12 +++++++-----
 qt5/src/poppler-media.h  | 12 ++++++++++--
 qt5/src/poppler-page.cc  |  4 ++--
 qt6/src/poppler-link.cc  | 24 +++++++++++++-----------
 qt6/src/poppler-link.h   | 17 +++++++++++++++--
 qt6/src/poppler-media.cc | 12 +++++++-----
 qt6/src/poppler-media.h  | 10 ++++++++--
 qt6/src/poppler-page.cc  |  4 ++--
 12 files changed, 97 insertions(+), 49 deletions(-)

commit e6f279ca1db6f6364dd44d46a6d3edf02c98f5b5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 14 10:17:11 2024 +0200

    We have maxUtf8 so pass it along to be safer

 poppler/UTF.cc                     | 4 ++--
 poppler/UTF.h                      | 2 +-
 qt5/tests/check_utf_conversion.cpp | 2 +-
 qt6/tests/check_utf_conversion.cpp | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 8465b523ad9a67fa51d923da7bda7d0209067acb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 14 10:14:50 2024 +0200

    Fix crash when converting invalid utf16 to utf8

 poppler/UTF.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2c88fdeff5dbbe19a357b604fbd269b31e337088
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 13 21:39:03 2024 +0200

    Prevent some more overflows in broken files

 poppler/Stream.h | 11 +++++++++--
 splash/Splash.cc | 18 +++++++++++++-----
 2 files changed, 22 insertions(+), 7 deletions(-)

commit 5399e7695f725744290cfd3e68bc0ca1109638d5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 13 14:46:24 2024 +0000

    glib: fuzz: poppler_page_find_text requirement is that the text
    is utf8

 glib/tests/fuzzing/find_text_fuzzer.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 83c22b3a66a188dd9a17a013aa7a9c38e3e87f89
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 13 16:26:37 2024 +0200

    glib: fuzz: free doc properly

 glib/tests/fuzzing/doc_attr_fuzzer.cc  | 1 +
 glib/tests/fuzzing/find_text_fuzzer.cc | 2 ++
 glib/tests/fuzzing/label_fuzzer.cc     | 2 ++
 3 files changed, 5 insertions(+)

commit 274e054591aac4dc45e21bb8b194fd40673ab6b7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 13 16:15:23 2024 +0200

    Also initialize rootGen

 poppler/XRef.cc | 1 +
 1 file changed, 1 insertion(+)

commit 1f657b4b5ad392762ec7685198f117f682044f53
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 13 16:04:07 2024 +0200

    glib-mkenums is required

    So fail on cmake stage rather than on compile stage

 glib/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3f7ed54dc7572504c8148a2cc1d2a13b0298b5df
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 12 23:15:17 2024 +0200

    Forgot to increase the SOVERSION for 24.06.0

    (cherry picked from commit 10914f82cee06ea95ace19c5d74a2c2ff2bab4dc)

 CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 753217915013a6e0e19e83872082cda1193e5f50
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 12 23:02:16 2024 +0200

    Update (C)

 fofi/FoFiTrueType.cc | 1 +
 fofi/FoFiTrueType.h  | 1 +
 2 files changed, 2 insertions(+)

commit b16c379582ef1af6101aaa20e69a9abfd32fad7d
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Jun 12 14:06:29 2024 +0200

    FoFiTrueType: less manual memory handling

     - use vector instead of pointer,length for owning structures
     - use span instead of pointer,length for non-owning arguments
     - use std::array for most fixed size arrays
     - remove gmem usage

 fofi/FoFiTrueType.cc | 184
 +++++++++++++++++++++------------------------------
 fofi/FoFiTrueType.h  |  12 ++--
 2 files changed, 82 insertions(+), 114 deletions(-)

commit 77457e1350720d197d1b2e879aa9bf11a0d575d2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 11 22:09:31 2024 +0200

    Revert "Remove unused GfxImageColorMap::copy"

    kitinerary uses it

    This reverts commit 912b1d5c583677e2629a0a2c4623baa324adb62b.

 poppler/GfxState.cc | 54
 ++++++++++++++++++++++++++++++++++++++++++++++++++++-
 poppler/GfxState.h  |  7 ++++++-
 2 files changed, 59 insertions(+), 2 deletions(-)

commit 0554731052d1a97745cb179ab0d45620589dd9c4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 7 00:54:55 2024 +0200

    pdfinfo: Fix crash in broken documents when using -dests

 utils/pdfinfo.cc | 35 +++++++++++++++--------------------
 1 file changed, 15 insertions(+), 20 deletions(-)

commit 912b1d5c583677e2629a0a2c4623baa324adb62b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 10 11:16:29 2024 +0200

    Remove unused GfxImageColorMap::copy

 poppler/GfxState.cc | 54
 +----------------------------------------------------
 poppler/GfxState.h  |  7 +------
 2 files changed, 2 insertions(+), 59 deletions(-)

commit 37fda1d8b7e9d987fc5fa9ca5494c5c796ef4fed
Author: Pratham Gandhi <ppg.1382@gmail.com>
Date:   Thu Jun 6 18:19:02 2024 +0530

    Handled the additional document actions in qt frontends

 qt5/src/poppler-document.cc | 31 +++++++++++++++++++++++++++++++
 qt5/src/poppler-qt5.h       | 25 +++++++++++++++++++++++++
 qt6/src/poppler-document.cc | 30 ++++++++++++++++++++++++++++++
 qt6/src/poppler-qt6.h       | 25 +++++++++++++++++++++++++
 4 files changed, 111 insertions(+)

commit 1e898d55e66b4c39b2349e17756969fca7762e9f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 6 22:55:22 2024 +0200

    Update (C)

 poppler/GfxFont.cc | 1 +
 poppler/GfxFont.h  | 1 +
 2 files changed, 2 insertions(+)

commit 938af005733a77b13cee2086469ad9eed8e1997c
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jun 6 20:54:19 2024 +0000

    GfxFonts: Switch font widths from pointer, length to std::vector

 poppler/GfxFont.cc | 65
 ++++++++++++------------------------------------------
 poppler/GfxFont.h  |  7 ++----
 2 files changed, 16 insertions(+), 56 deletions(-)

commit 64828896a3bff4adafd2f3cac766165bb09a32a1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 2 21:05:18 2024 +0200

    poppler 24.06.0

 CMakeLists.txt   |  2 +-
 NEWS             | 15 +++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 19 insertions(+), 4 deletions(-)

commit 258f3eec8ef87be9d54847f697e2fbabc7726bf9
Author: Pablo Correa Gómez <ablocorrea@hotmail.com>
Date:   Mon Jan 22 20:39:07 2024 +0100

    glib: properly document return value from poppler_font_info_scan

 glib/demo/fonts.c        | 3 ++-
 glib/poppler-document.cc | 7 +++++--
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 71d6b59a705de051feffd2237f55820302322423
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 29 19:39:28 2024 +0200

    Update (C)

 poppler/CurlCachedFile.cc | 1 +
 poppler/Error.cc          | 1 +
 poppler/PSOutputDev.h     | 2 +-
 utils/pdfsig.cc           | 2 +-
 4 files changed, 4 insertions(+), 2 deletions(-)

commit 3a1d6c0e10875c9899911d0f6661c87d6f1a3dc2
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Mon May 13 09:42:25 2024 +0200

    Let GooString::format return a std::string object

    ... rathern than std::unique_ptr<GooString>.  In many cases this
    avoids
    a small heap allocation.

 fofi/FoFiTrueType.cc            |  66 +++++++--------
 fofi/FoFiType1C.cc              | 180
 ++++++++++++++++++++--------------------
 glib/poppler-document.cc        |   4 +-
 goo/GooString.cc                |   8 +-
 goo/GooString.h                 |   2 +-
 poppler/Annot.cc                |   8 +-
 poppler/CurlCachedFile.cc       |   4 +-
 poppler/PSOutputDev.cc          |  38 ++++-----
 qt5/tests/check_annotations.cpp |   4 +-
 qt5/tests/check_goostring.cpp   |  57 ++++++-------
 qt6/tests/check_annotations.cpp |   4 +-
 qt6/tests/check_goostring.cpp   |  57 ++++++-------
 utils/HtmlOutputDev.cc          |  50 +++++------
 utils/HtmlOutputDev.h           |   4 +-
 utils/pdfsig.cc                 |  10 +--
 utils/pdftohtml.cc              |   8 +-
 16 files changed, 253 insertions(+), 251 deletions(-)

commit 6da9eeac408d8daa6b882797bd20b32b284e95bb
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Tue May 7 22:02:19 2024 +0200

    writePSTextLine: Take a std::string argument

 poppler/PSOutputDev.cc | 13 +++++++------
 poppler/PSOutputDev.h  |  2 +-
 2 files changed, 8 insertions(+), 7 deletions(-)

commit 1aa70f95fae452499a7db403030ace0e819eba1e
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Tue May 7 17:52:51 2024 +0200

    HtmlImage: Store filename as std::string

    Rather than as std::unique_ptr<GooString>.  This saves
    one pointer indirection.

 utils/HtmlOutputDev.cc | 14 +++++++-------
 utils/HtmlOutputDev.h  |  2 +-
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 9bf935cde5ece00c54e397620244b77303d63c11
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Wed Apr 17 10:58:14 2024 +0200

    Make GooString::formatv return std::string by value

    Rather than returning a std::unique_ptr<GooString>.
    This avoids one heap allocation for the result object.

 goo/GooString.cc       | 8 ++++----
 goo/GooString.h        | 2 +-
 poppler/Error.cc       | 5 ++---
 poppler/PSOutputDev.cc | 4 ++--
 4 files changed, 9 insertions(+), 10 deletions(-)

commit 2fb40d2db82e0650500d76b61a0fae47b49d4193
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 29 19:19:28 2024 +0200

    Update (C)

 poppler/CairoOutputDev.cc | 2 +-
 poppler/CairoOutputDev.h  | 2 +-
 poppler/Catalog.cc        | 1 +
 poppler/Stream.h          | 1 +
 4 files changed, 4 insertions(+), 2 deletions(-)

commit a63248281d5162047e8640c3275f65fc4c1e8e6e
Author: Fernando Herrera <fherrera@onirica.com>
Date:   Wed May 29 17:18:31 2024 +0000

    Fix BaseMemStream::getPos casting

 poppler/Stream.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b6edd41c86d391dea3bd866b4ef65deb41405937
Author: Hubert Figuiere <hub@figuiere.net>
Date:   Sun May 26 08:53:14 2024 +0000

    poppler/Catalog: call getNumPages() only once in findPage()

 poppler/Catalog.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9a8599e938565cb9c1417aba718aaa5f5aa441d9
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat May 25 13:49:38 2024 +0930

    Remove all cairo include guards for cairo < 1.16

 poppler/CairoOutputDev.cc | 347
 +---------------------------------------------
 poppler/CairoOutputDev.h  |  18 ---
 2 files changed, 4 insertions(+), 361 deletions(-)

commit eca654a789cdd1ddbafbf17d49fd1ca1670f407f
Author: Carl Schwan <carl@carlschwan.eu>
Date:   Wed May 15 00:42:01 2024 +0200

    Update Qt6 doc example

    Poppler::Document and Poppler::Page are now wrapped inside unique
    pointers.

 qt6/src/Mainpage.dox | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 50659bc5242852e6828a017eadc5ff374b9b6524
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue May 14 00:06:29 2024 +0200

    Use the non deprecated version of QString::fromUcs4

 qt6/tests/check_utf8document.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6522a8c8ae80941a5483d70e985939cb0678c141
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri May 3 00:00:19 2024 +0200

    Update (C)

 poppler/CairoFontEngine.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fceaba5461e276121e50d858169a53f7434b1e05
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 2 23:58:38 2024 +0200

    Fix MSVC build

 poppler/PDFDoc.cc | 1 +
 1 file changed, 1 insertion(+)

commit 574dccdf745232aceea1d569461d7e5c217796a9
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu May 2 16:16:05 2024 +0200

    Fix msvc build

    Apparantly, msvc can't handle defaulted constructors where the class
    contains a incomplete type in a unique_ptr.

    Move the defaulted constructor implementation to cpp file to ensure it
    is no longer a incomplete type

 poppler/SignatureInfo.cc | 1 +
 poppler/SignatureInfo.h  | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 9e4d8d56f73989efb11925588592797f1a8db1f7
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu May 2 16:24:24 2024 +0930

    Adding missing restoreState()

 poppler/CairoFontEngine.cc | 1 +
 1 file changed, 1 insertion(+)

commit 16ff06df9e793d85162096f59d9f9545e07d4aa4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 2 00:29:12 2024 +0200

    Update (C)

 poppler/PDFDoc.cc                            | 2 +-
 poppler/Stream.cc                            | 1 +
 poppler/Stream.h                             | 1 +
 qt5/src/poppler-qiodeviceoutstream-private.h | 1 +
 qt5/src/poppler-qiodeviceoutstream.cc        | 1 +
 qt6/src/poppler-qiodeviceoutstream-private.h | 1 +
 qt6/src/poppler-qiodeviceoutstream.cc        | 1 +
 7 files changed, 7 insertions(+), 1 deletion(-)

commit f265e5aba50b6811471bd7e3a07944dfeeb85186
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Apr 22 14:14:30 2024 +0200

    copy data streams in 4096 chunks rather than a byte at time

 poppler/PDFDoc.cc                            | 24
 +++++++++++++++---------
 poppler/Stream.cc                            |  5 +++++
 poppler/Stream.h                             |  5 +++++
 qt5/src/poppler-qiodeviceoutstream-private.h |  1 +
 qt5/src/poppler-qiodeviceoutstream.cc        |  5 +++++
 qt6/src/poppler-qiodeviceoutstream-private.h |  1 +
 qt6/src/poppler-qiodeviceoutstream.cc        |  5 +++++
 7 files changed, 37 insertions(+), 9 deletions(-)

commit 092a012fe17196b35e640a7ca3802538c75fbf78
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Apr 22 14:15:45 2024 +0200

    Use std::span for some data, size combos

    With c++20, we have std::span which is a nice wrapper around a pointer
    and a length. Use that rather than carry them around by themselves.

    We also have std::span created transparantly from vectors and stuff

 poppler/CharCodeToUnicode.cc       |  2 +-
 poppler/TextOutputDev.cc           |  4 ++--
 poppler/UTF.cc                     | 25 +++++++++++++------------
 poppler/UTF.h                      |  5 +++--
 qt5/tests/check_utf_conversion.cpp |  2 +-
 qt6/tests/check_utf_conversion.cpp |  2 +-
 6 files changed, 21 insertions(+), 19 deletions(-)

commit 14191296ae72398638d2a4af67d783ee120a998c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 1 19:42:56 2024 +0200

    poppler 24.05.0

 CMakeLists.txt         |  2 +-
 NEWS                   | 28 ++++++++++++++++++++++++++++
 cpp/CMakeLists.txt     |  2 +-
 cpp/Doxyfile           |  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 qt6/src/CMakeLists.txt |  2 +-
 qt6/src/Doxyfile       |  2 +-
 8 files changed, 35 insertions(+), 7 deletions(-)

commit 2f11d814e54d1329985c2f60b7b6fe2d1882a9a6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Apr 23 14:15:24 2024 +0200

    Update (C)

 poppler/Catalog.cc | 2 +-
 poppler/PDFDoc.cc  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit fe9fe140aee72a41a2add7db7f7b0dae7cb55700
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 22 14:22:08 2024 +0200

    signing: Fix modifying the AcroForm dict when it's embedded in
    the Catalog

 poppler/Catalog.cc | 1 +
 poppler/PDFDoc.cc  | 2 ++
 2 files changed, 3 insertions(+)

commit eac1adcbc2246fd1ad22e8336d050a71cbf03804
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 22 19:32:24 2024 +0200

    Update nss to the actual release version of Ubuntu 22.04

 CMakeLists.txt               | 2 +-
 cmake/modules/FindNSS3.cmake | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ad67d43e7786eaf364c20f76c68810ad254a994d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 22 15:56:54 2024 +0200

    Increase android-qt images

    Allows us increasing the min freetype

 .gitlab-ci.yml | 16 ++++++++--------
 CMakeLists.txt |  2 +-
 2 files changed, 9 insertions(+), 9 deletions(-)

commit b81b2851feb114c2896ee0a441fe492500f0b3ca
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 22 15:21:09 2024 +0200

    Increase Minimum supported base to that provided by Ubuntu 22.04

 .gitlab-ci.yml               | 10 +++-------
 CMakeLists.txt               | 14 +++++++-------
 cmake/modules/FindNSS3.cmake |  2 +-
 qt5/CMakeLists.txt           |  2 +-
 utils/CMakeLists.txt         |  7 +------
 5 files changed, 13 insertions(+), 22 deletions(-)

commit 06e0b89c2f64580eaac5e09a729b52668b09c106
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 22 10:17:03 2024 +0200

    Fix crash in broken files

    oss-fuzz/57874

 poppler/Object.h | 18 +++++++++++++++++-
 poppler/XRef.cc  | 12 +++++++++++-
 poppler/XRef.h   |  4 +++-
 3 files changed, 31 insertions(+), 3 deletions(-)

commit fd98a72b6a72bb6e395ef70ae2527477496db6f5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 22 10:53:15 2024 +0200

    Fix crash in TextStringToUtf8

    utf16ToUtf8 expects a null ended string

 poppler/UTF.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 103fc977d30fa6b3df8d3a018e970230e9661933
Author: Ömer Fadıl USTA <omerusta@gmail.com>
Date:   Mon Apr 22 08:56:26 2024 +0000

    Add Missing headers to fix compile problems

 CMakeLists.txt | 2 ++
 1 file changed, 2 insertions(+)

commit 87fc0028b69acd8f5679a9fe213f94d081fa28e3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 22 10:14:27 2024 +0200

    Update (C)

 glib/poppler-form-field.cc           | 2 +-
 poppler/CryptoSignBackend.h          | 2 +-
 poppler/Form.cc                      | 2 +-
 poppler/Form.h                       | 2 +-
 poppler/GPGMECryptoSignBackend.cc    | 3 ++-
 poppler/GPGMECryptoSignBackend.h     | 3 ++-
 poppler/NSSCryptoSignBackend.cc      | 2 +-
 poppler/NSSCryptoSignBackend.h       | 2 +-
 poppler/SignatureInfo.cc             | 2 +-
 poppler/SignatureInfo.h              | 2 +-
 qt5/src/poppler-form.cc              | 2 +-
 qt5/src/poppler-form.h               | 2 +-
 qt5/tests/check_signature_basics.cpp | 2 +-
 qt6/src/poppler-form.cc              | 2 +-
 qt6/src/poppler-form.h               | 2 +-
 qt6/tests/check_signature_basics.cpp | 2 +-
 16 files changed, 18 insertions(+), 16 deletions(-)

commit d40bb7e308c9e3299e50d3e2880229cd6272587e
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Sun Apr 21 17:31:19 2024 +0000

    Async api for certificate validation

 glib/poppler-form-field.cc           |  7 +--
 poppler/CryptoSignBackend.h          |  6 ++-
 poppler/Form.cc                      | 51 ++++++++++++++++---
 poppler/Form.h                       | 23 +++++++--
 poppler/GPGMECryptoSignBackend.cc    | 77 ++++++++++++++++++++++------
 poppler/GPGMECryptoSignBackend.h     |  6 ++-
 poppler/NSSCryptoSignBackend.cc      | 63 +++++++++++++++++------
 poppler/NSSCryptoSignBackend.h       |  7 ++-
 poppler/SignatureInfo.cc             | 10 ----
 poppler/SignatureInfo.h              |  3 --
 qt5/src/poppler-form.cc              | 98
 +++++++++++++++++++++++++-----------
 qt5/src/poppler-form.h               | 63 +++++++++++++++++++++--
 qt5/tests/check_signature_basics.cpp |  6 ++-
 qt5/tests/poppler-forms.cpp          |  7 ++-
 qt6/src/poppler-form.cc              | 98
 +++++++++++++++++++++++++-----------
 qt6/src/poppler-form.h               | 63 +++++++++++++++++++++--
 qt6/tests/check_signature_basics.cpp |  6 ++-
 qt6/tests/poppler-forms.cpp          |  2 +
 utils/pdfsig.cc                      | 15 +++++-
 19 files changed, 477 insertions(+), 134 deletions(-)
[--snip--]
